Class Index | File Index

## Classes

- _global_
- fec
- fec.base
- fec.config
- fec.cookies
- fec.errorCode
- fec.errorConfig
- fec.form
- fec.msg
- fec.util
- fec.valuesFactory
- FecMain
- FecPageControl

# Namespace fec.valuesFactory

fec.valuesFactory
Defined in: yaf4ajn.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| fec.valuesFactory Values Factory handles updating an html-element with a new value

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | fec.valuesFactory.input(element, newValue) Updates a INPUT-element, accordingly to the input type
<static> | fec.valuesFactory.p(element, newValue) Updates a P-element by calling fec.valuesFactory.td .
<static> | fec.valuesFactory.select(element, newValue) Selects the option of a SELECT-element
<static> | fec.valuesFactory.span(element, newValue) Updates a SPAN-element by calling fec.valuesFactory.td .
<static> | fec.valuesFactory.td(element, newValue) Updates a TD-Element with newValue.
<static> | fec.valuesFactory.textarea(element, newValue) Updates a TEXTAREA-element

Namespace Detail
fec.valuesFactory
Values Factory handles updating an html-element with a new value
Method Detail
<static> fec.valuesFactory.input(element, newValue)
Updates a INPUT-element, accordingly to the input type

Parameters:
{object} element
  Element that will be updated
{object} newValue
  newValue will be HTML-unescaped

<static> fec.valuesFactory.p(element, newValue)
Updates a P-element by calling fec.valuesFactory.td .

Parameters:
element
newValue

See:
  fec.valuesFactory.td

<static> fec.valuesFactory.select(element, newValue)
Selects the option of a SELECT-element

Parameters:
{object} element
  Element that will be updated
{object} newValue
  newValue

<static> fec.valuesFactory.span(element, newValue)
Updates a SPAN-element by calling fec.valuesFactory.td .

Parameters:
element
newValue

See:
  fec.valuesFactory.td

<static> fec.valuesFactory.td(element, newValue)
Updates a TD-Element with newValue. If the Value is boolean, default Strings are set.

Parameters:
{object} element
  Element that will be updated
{object} newValue
  newValue

<static> fec.valuesFactory.textarea(element, newValue)
Updates a TEXTAREA-element

Parameters:
{object} element
  Element that will be updated
{object} newValue
  newValue will be HTML-unescaped

Documentation generated by JsDoc Toolkit 2.1.0 on Mon Mar 09 2009 11:54:51 GMT+0100 (CET)